Name: gnutls
Version: 1.6.3
Release: alt1

%def_disable static
%def_enable check
%def_with libtasn1

Summary: Transport Layer Security library
Group: System/Libraries
License: LGPL
Url: http://www.gnu.org/software/%name/
Packager: Pavlov Konstantin <thresh@altlinux.ru>

%define pkgdocdir %_docdir/%name-%version

%define req_gcrypt_ver 1.2.2
%define req_opencdk_ver 0.5.5
%define req_tasn1_ver 0.3.4

Source: %name-%version.tar.bz2
Source2: gnutls-%version-vers.sym

# Automatically added by buildreq on Tue May 30 2006
BuildRequires: cvs gtk-doc libgcrypt-devel liblzo-devel libopencdk-devel libreadline-devel libtasn1-devel pkg-config valgrind zlib-devel
BuildRequires: gcc-c++

BuildRequires: libgcrypt-devel >= %req_gcrypt_ver
BuildRequires: libopencdk-devel >= %req_opencdk_ver
%if_with libtasn1
BuildRequires: libtasn1-devel >= %req_tasn1_ver
%endif

%description
GnuTLS is a project that aims to develop a library which provides a
secure layer, over a reliable transport layer. Currently the GnuTLS
library implements the proposed standards by the IETF TLS working
group.

%package -n lib%name
Summary: Transport Layer Security library
Group: System/Libraries
Requires: libgcrypt >= %req_gcrypt_ver
%if_with libtasn1
Requires: libtasn1 >= %req_tasn1_ver
%endif

%description -n lib%name
A library which provides a secure layer, over a reliable transport layer.
Currently the GnuTLS library implements the proposed standards
by the IETF TLS working group.

%package -n lib%{name}xx
Summary: Transport Layer Security C++ library
Group: System/Libraries

%description -n lib%{name}xx
A library which provides a secure layer, over a reliable transport layer.
Currently the GnuTLSxx library implements the proposed standards
by the IETF TLS working group.

%package -n lib%name-extra
Summary: Transport Layer Security library, extra functions
Group: System/Libraries
License: GPL
Requires: lib%name = %version-%release
Requires: libopencdk >= %req_opencdk_ver

%description -n lib%name-extra
The %name-extra library provides extra functions to the %name library.
This portion of the library is covered by the GNU General Public License.

%package -n lib%name-openssl
Summary: OpenSSL compatibility layer for the GnuTLS library
Group: System/Libraries
License: GPL
Requires: lib%name = %version-%release

%description -n lib%name-openssl
The %name-openssl library provides an OpenSSL compatibility layer to the
%name library, to ease migration from the OpenSSL library.

%package -n lib%name-devel
Summary: Development files for lib%name
Group: Development/C
Requires: lib%name = %version-%release
Requires: libgcrypt-devel >= %req_gcrypt_ver
Requires(post): %install_info
Requires(preun): %uninstall_info

%description -n lib%name-devel
Header and other files to build applications using %name,
a Transport Layer Security (TLS) library.

%package -n lib%{name}xx-devel
Summary: Development files for lib{%name}xx
Group: Development/C
Requires: lib%{name}xx = %version-%release

%description -n lib%{name}xx-devel
Header and other files to build applications using %{name}xx,
a Transport Layer Security (TLS) C++ library.

%package -n lib%name-extra-devel
Summary: Development files for lib%name-extra
Group: Development/C
License: GPL
Requires: lib%name-extra = %version-%release
Requires: lib%name-devel = %version-%release

%description -n lib%name-extra-devel
Header and other files to build applications using the %name-extra library.

%package -n lib%name-openssl-devel
Summary: Development files for lib%name-openssl
Group: Development/C
License: GPL
Requires: lib%name-openssl = %version-%release
Requires: lib%name-devel = %version-%release

%description -n lib%name-openssl-devel
Header and other files to build applications using the %name-openssl library.

%package -n lib%name-devel-static
Summary: Static build for lib%name
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static build of %name, a Transport Layer Security (TLS) library.

%package -n lib%name-extra-devel-static
Summary: Static build for lib%name-extra
Group: Development/C
License: GPL
Requires: lib%name-extra-devel = %version-%release

%description -n lib%name-extra-devel-static
Static build of the %name-extra library.

%package -n lib%name-openssl-devel-static
Summary: Static build for lib%name-openssl
Group: Development/C
License: GPL
Requires: lib%name-openssl-devel = %version-%release

%description -n lib%name-openssl-devel-static
Static build of the %name-openssl library.

%package utils
Summary: Utilities for GnuTLS
Group: Security/Networking
License: GPL
Requires: lib%name = %version-%release
Requires: lib%name-extra = %version-%release

%description utils
Utilities coming with the GnuTLS project.

%package devel-doc
Summary: Development documentation for GnuTLS
Group: Development/C
Conflicts: libgnutls-devel < 1.2.9-alt1

%description devel-doc
Development documentation for GnuTLS.

%prep
%setup -q

install -m644 %SOURCE2 lib/libgnutls.vers

bzip2 -9k ChangeLog

%build
#autoreconf -isfv
%configure \
%if_without libtasn1
	--with-included-libtasn1 \
%endif
	--enable-gtk-doc \
	%{subst_enable static}
# Non-parallel make
%make
%if_enabled check
%make check
%endif

%install
%make_install DESTDIR=%buildroot install

install -d -m755 %buildroot%pkgdocdir
install -p -m644 AUTHORS ChangeLog.bz2 NEWS README THANKS doc/TODO \
    %buildroot%pkgdocdir
ln -s %_licensedir/GPL-2 %buildroot%pkgdocdir/COPYING
ln -s %_licensedir/LGPL-2.1 %buildroot%pkgdocdir/COPYING.LIB
install -p -m644 doc/*.html doc/*.png %buildroot%pkgdocdir
%make -C doc/examples clean
cp -a doc/examples %buildroot%pkgdocdir
rm -f %buildroot%pkgdocdir/examples/Makefile*

%find_lang gnutls

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post -n lib%name-extra -p %post_ldconfig
%postun -n lib%name-extra -p %postun_ldconfig

%post devel-doc
%install_info %name.info

%preun devel-doc
%uninstall_info %name.info

%files -n lib%name -f gnutls.lang
%dir %pkgdocdir
%pkgdocdir/AUTHORS
%pkgdocdir/ChangeLog.bz2
%pkgdocdir/NEWS
%pkgdocdir/README
%pkgdocdir/THANKS
%pkgdocdir/TODO
%pkgdocdir/COPYING.LIB
%_libdir/lib%name.so.*

%files -n lib%{name}xx
%_libdir/lib%{name}xx.so.*

%files -n lib%name-extra
%pkgdocdir/COPYING
%_libdir/lib%name-extra.so.*

%files -n lib%name-openssl
%_libdir/lib%name-openssl.so.*

%files -n lib%name-devel
%_includedir/gnutls
%exclude %_includedir/gnutls/extra.h
%exclude %_includedir/gnutls/openssl.h
%_bindir/lib%name-config
%_libdir/lib%name.so
%_libdir/pkgconfig/gnutls.pc
%_datadir/aclocal/lib%name.m4

%files -n lib%{name}xx-devel
%_libdir/lib%{name}xx.so

%files -n lib%name-extra-devel
%_includedir/gnutls/extra.h
%_bindir/lib%name-extra-config
%_libdir/lib%name-extra.so
%_libdir/pkgconfig/gnutls-extra.pc
%_datadir/aclocal/lib%name-extra.m4

%files -n lib%name-openssl-devel
%_includedir/gnutls/openssl.h
%_libdir/lib%name-openssl.so

%if_enabled static
%files -n lib%name-devel-static
%_libdir/lib%name.a

%files -n lib%name-extra-devel-static
%_libdir/lib%name-extra.a

%files -n lib%name-openssl-devel-static
%_libdir/lib%name-openssl.a
%endif	# enabled static

%files devel-doc
%pkgdocdir/*.html
%pkgdocdir/*.png
%pkgdocdir/examples
%_man3dir/*
%_infodir/*
%_datadir/gtk-doc/html/*

%files utils
%_bindir/*
%exclude %_bindir/*-config
%_man1dir/*

%changelog
* Tue Jun 05 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.3-alt1
- 1.6.3 release.

* Thu Apr 19 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.2-alt1
- 1.6.2 release.

* Wed Feb 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.1-alt5
- Reverted -alt4 fixes, introduced a real fix for tasn1.

* Wed Feb 14 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.1-alt4
- Fixed #10822: removed .private.

* Sun Jan 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.1-alt3
- Modified symbol versioning:
  Added GNUTLS_1_6_1 with two new symbols.

* Sun Jan 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.1-alt2
- Added libgnutlsxx and libgnutlsxx-devel subpackages.
- Spec cleanup.

* Mon Jan 08 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.6.1-alt1
- Release 1.6.1.

* Sun Sep 24 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.4-alt1
- Release 1.4.4

* Sun Sep 10 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.3-alt1
- Release 1.4.3

* Sat Sep 02 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.2-alt1
- Updated to 1.4.2

* Tue May 30 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.4.0-alt1
- Updated to 1.4.0
- Updated Patch0

* Fri Mar 24 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.10-alt2
- Patch0: fixes build problems with ld --as-needed flag

* Sat Feb 11 2006 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.10-alt1
- 1.2.10, fixes SA18794
- Correct packaging of examples
- Info install scripts moved to gnutls-devel-doc

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.9-alt1.1
- Rebuilt for new pkg-config dependencies.

* Sat Dec 03 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.9-alt1
- Updated to 1.2.9
- Moved documentation off to gnutls-devel-doc

* Tue Aug 16 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.6-alt1.1
- rebuild with libopencdk.

* Sun Aug 14 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.6-alt1
- Updated to upstream release 1.2.6

* Fri May 27 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.3-alt1
- Updated to upstream release 1.2.3

* Mon Jan 03 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.23-alt1
- Updated to upstream release 1.0.23

* Sat Oct 16 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.21-alt1
- Updated to upstream release 1.0.21

* Tue May 25 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.13-alt1
- Updated to upstream release 1.0.13
- Added /usr/bin/srptool to the utils file list

* Thu Apr 08 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.10-alt1
- Updated to upstream release 1.0.10

* Sat Mar 27 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.8-alt2
- Rebuilt against libgcrypt 1.1.93

* Sat Mar 06 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.8-alt1
- Updated to 1.0.8 upstream release
- Build fixes for new autotools

* Sat Jan 10 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.4-alt1
- Updated to 1.0.4 upstream release
- Renamed the source package to gnutls
- Added openssl subpackage family to pack libgnutls-openssl

* Sat Jan 10 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.9-alt3
- Made external libtasn1 linkage optional, disabled per default

* Fri Jan 02 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.9-alt2
- Spec cleanup
- Build against libtasn1
- Removed libtool files from the filelist

* Sun Jul 20 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.8.9-alt1
- Ported the package to ALT Linux
